Bug 19013 - Add Path objects and intersects() function
Add Path objects and intersects() function
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML Canvas 2D Context
unspecified
All All
: P3 enhancement
: ---
Assigned To: Jay Munro
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:52 UTC by contributor
Modified: 2013-02-22 18:44 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:52:25 UTC
This was was cloned from bug 9236 as part of operation LATER convergence.
Originally filed: 2010-03-12 19:59:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-03-12 19:59:22 +0000 
--------------------------------------------------------------------------------
Section: http://www.whatwg.org/specs/web-apps/current-work/#2dcontext

Comment:
Add Path objects and intersects() function

Posted from: 93.206.128.135
================================================================================
 #1   Axel Dahmen                                     2010-03-12 20:05:35 +0000 
--------------------------------------------------------------------------------
It would be VERY feasible to know if two paths intersect.

A corresponding function would take two paths as parameters and return a boolean value.

This would require the following prerequisites, however:

  *  A "Path" object would need to be introduced in
     order to get a container to store a path.

  *  The Path object would provide the same path-related
     member function as the CanvasRenderingContext2D
     interface does.

  *  The Path object would provide the following member
     function:

       - intersects(path)

  *  The CanvasRenderingContext2D interface would
     provide the following new function:

       - drawPath(path)
================================================================================
 #2   Axel Dahmen                                     2010-03-12 23:21:53 +0000 
--------------------------------------------------------------------------------
I'd like to add that in this concept the Path object would also need to provide transformation functionality so that each path can be animated separately.
================================================================================
 #3   Ian 'Hixie' Hickson                             2010-03-30 23:14:03 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: see diff given below
Rationale: Path primitives, including operations on them such as detecting intersections, are definitely on the cards, but first we have to wait for the current spec to be implemented properly, otherwise browsers will just be buggy and it'll all be useless. Baby steps.
================================================================================
 #4   Axel Dahmen                                     2010-04-01 09:40:08 +0000 
--------------------------------------------------------------------------------
I understand... Thanks!

I'm looking forward to the upcoming versions then.
================================================================================
 #5   Ian 'Hixie' Hickson                             2012-02-29 22:30:02 +0000 
--------------------------------------------------------------------------------
Proposal: http://wiki.whatwg.org/wiki/Canvas#Path_primitives
================================================================================
 #6   Ian 'Hixie' Hickson                             2012-02-29 22:53:34 +0000 
--------------------------------------------------------------------------------
I'm going to add path primitives in this round of additions, but testing for path intersection, and creating paths based on the intersection or union of other paths, in a later round. To not lose track of the request for detecting if paths intersect, I'm moving this back to LATER.
================================================================================